org.kie.internal.runtime.manager.audit.query

## Interface ProcessInstanceLogDeleteBuilder

- All Superinterfaces:
    AuditDeleteBuilder<ProcessInstanceLogDeleteBuilder>, ParametrizedQueryBuilder<ProcessInstanceLogDeleteBuilder>

      public interface ProcessInstanceLogDeleteBuilder
      extends AuditDeleteBuilder<ProcessInstanceLogDeleteBuilder>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProcessInstanceLogDeleteBuilder` | `endDate(Date... date)` Specify one or more (process instance) end dates as a criteria
    `ProcessInstanceLogDeleteBuilder` | `endDateRangeEnd(Date rangeEnd)` Specify the end of a date range to be used as a criteria on the end date field.
    `ProcessInstanceLogDeleteBuilder` | `endDateRangeStart(Date rangeStart)` Specify the begin of a date range to be used as a criteria on the end date field.
    `ProcessInstanceLogDeleteBuilder` | `externalId(String... externalId)` Specify externalId to be used as criteria on the externalId field.
    `ProcessInstanceLogDeleteBuilder` | `identity(String... identity)` Specify one or more identiies (who started the process instance) as a criteria
    `ProcessInstanceLogDeleteBuilder` | `outcome(String... outcome)` Specify one or more (process instance) outcomes as a criteria.
    `ProcessInstanceLogDeleteBuilder` | `processName(String... processName)` Specify one or more process names as a criteria
    `ProcessInstanceLogDeleteBuilder` | `processVersion(String... version)` Specify one or more process versions as a criteria
    `ProcessInstanceLogDeleteBuilder` | `startDate(Date... date)` Specify one or more (process instance) start dates as a criteria
    `ProcessInstanceLogDeleteBuilder` | `startDateRangeEnd(Date rangeEnd)` Specify the end of a date range to be used as a criteria on the start date field.
    `ProcessInstanceLogDeleteBuilder` | `startDateRangeStart(Date rangeStart)` Specify the begin of a date range to be used as a criteria on the start date field.
    `ProcessInstanceLogDeleteBuilder` | `status(int... status)` Specify one more statuses (in the form of an int) as criteria.

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### status

          ProcessInstanceLogDeleteBuilder status(int... status)

      Specify one more statuses (in the form of an int) as criteria.
      Parameters:
        `status` - one or more int statuses
      Returns:
        The current instance of this query builder

    - #### outcome

          ProcessInstanceLogDeleteBuilder outcome(String... outcome)

      Specify one or more (process instance) outcomes as a criteria.
      Parameters:
        `outcome` - one or more string outcomes
      Returns:
        The current instance of this query builder

    - #### identity

          ProcessInstanceLogDeleteBuilder identity(String... identity)

      Specify one or more identiies (who started the process instance) as a criteria
      Parameters:
        `identity` - one or more string identities
      Returns:
        The current instance of this query builder

    - #### processVersion

          ProcessInstanceLogDeleteBuilder processVersion(String... version)

      Specify one or more process versions as a criteria
      Parameters:
        `version` - one or more string process versions
      Returns:
        The current instance of this query builder

    - #### processName

          ProcessInstanceLogDeleteBuilder processName(String... processName)

      Specify one or more process names as a criteria
      Parameters:
        `processName` - one or more string process names
      Returns:
        The current instance of this query builder

    - #### startDate

          ProcessInstanceLogDeleteBuilder startDate(Date... date)

      Specify one or more (process instance) start dates as a criteria
      Parameters:
        `date` - one or more `Date` start dates
      Returns:
        The current instance of this query builder

    - #### startDateRangeStart

          ProcessInstanceLogDeleteBuilder startDateRangeStart(Date rangeStart)

      Specify the begin of a date range to be used as a criteria on the start date field. The date range includes the date specified.
      Parameters:
        `rangeStart` - the start (early end) of the date range
      Returns:
        The current query builder instance

    - #### startDateRangeEnd

          ProcessInstanceLogDeleteBuilder startDateRangeEnd(Date rangeEnd)

      Specify the end of a date range to be used as a criteria on the start date field. The date range includes this date.
      Parameters:
        `rangeEnd` - the end (later end) of the date range
      Returns:
        The current query builder instance

    - #### endDate

          ProcessInstanceLogDeleteBuilder endDate(Date... date)

      Specify one or more (process instance) end dates as a criteria
      Parameters:
        `date` - one or more `Date` end dates
      Returns:
        The current instance of this query builder

    - #### endDateRangeStart

          ProcessInstanceLogDeleteBuilder endDateRangeStart(Date rangeStart)

      Specify the begin of a date range to be used as a criteria on the end date field. The date range includes this date.
      Parameters:
        `date` - the begin (later end) of the date range
      Returns:
        The current query builder instance

    - #### endDateRangeEnd

          ProcessInstanceLogDeleteBuilder endDateRangeEnd(Date rangeEnd)

      Specify the end of a date range to be used as a criteria on the end date field. The date range includes this date.
      Parameters:
        `date` - the end (later end) of the date range
      Returns:
        The current query builder instance

    - #### externalId

          ProcessInstanceLogDeleteBuilder externalId(String... externalId)

      Specify externalId to be used as criteria on the externalId field.
      Parameters:
        `externalId` - identifier that defines custom id
      Returns:
        The current query builder instance

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.